# Generated from tatooine-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tatooine

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: A Ruby interface to SWAPI (the Star Wars API)
License: MIT
URL: https://github.com/philnash/tatooine
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(vcr) >= 2.9.3
# BuildRequires: rubygem(vcr) < 2.10
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 2.0
# BuildRequires: rubygem(webmock) < 3
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A Ruby interface to SWAPI (the Star Wars API). http://swapi.co/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/tatooine.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 2.0.0-1
- Initial package
